:: BBS Maintenance Batch file

:: monthly maintenance - on the 1st of the month
:MONTHLY
check day
if errorlevel GT 1 goto weekly
:: do monthly maintenance here

:: weekly maintenance on Saturday
:WEEKLY
rem weekday
rem if errorlevel NE 6 goto DAILY 
if %_dow ne Sat goto DAILY 
ds n f:\ /s
ds n d:\dl /s
:: weekly echomail stats
 SqStat weekly.dat >statweek.rpt
 del weekly.dat squish.stt

:: daily maintenance
:DAILY
if exist %ram%\file\temp.bat call %ram%\file\temp.bat
if exist %ram%\file\temp.bat rename %ram%\file\temp.bat done.bat

::generate statistics reports
pushd %net%\bink ~ dayinfo >>%net%\temp.txt ~ popd
awk %net%\cps.awk %net%\binkley.log >>%net%\temp.txt
for %%f in (%net%\stat.?) do type %%f >>%net%\temp.txt
type %net%\temp.txt >>%net%\echostat.s
for %%f in (config.dog sirius.art bonk.cfg) do if not exist %%f copy %net%\%%f . /v
msgpost -mf:\stats -jDaily_Stats -tBechostat.s
for %%f in (%net%\stat.? %net%\temp.txt %net%\echostat.s) do if exist %%f erase %%f

::daily echomail stats
 Sqstat squish.txt >>statday.rpt
 type squish.txt >>weekly.dat
 del squish.txt

::binkly stats
 binkla log=intlog.%mo%
 msgpost -mf:\stats -jBinkley_report -tbklarpt.txt

:: generate available files listings
rem for freq's
call %net%\files
rem for the BBS
pushd d:\dl
global /q call %ram%\bat\filebbs
popd
pushd d:\usr
call %ram%\bat\filebbs

:: take care of misc files
rem echo y | del e:\save
copy %net%\areas.bbs %net%\areas.sav
if exist %net%\confmail.out del %net%\confmail.out
if exist %net%\areafix.tmp del %net%\areafix.tmp
if exist %net%\*.old del %net%\*.old
if exist %net%\echovol.log del %net%\echovol.log
if exist d:\out\*.$$? del d:\out\*.$$?

::back up config files & send copy off site
arj a -jf b138_112 e:\net\*.c* e:\net\*.bbs e:\net\*.que e:\net\BINK\*.* D:\NETUTIL\*.BAT D:\NETUTIL\*.CFG
please send b138_112.arj to 138/1 now

:: wait for import to end
:impwait
if not exist %net%\tossing goto renum
delay 10
goto impwait

:renum
::mark to prevent import while renumbering
>%net%\tossing
echo RENUMBERING message bases
sed -e "/^#/d" <%net%\areas.bbs >.\temp.bbs
mren -R -Ulastread -v3 %net%\mail -a.\temp.bbs
mren -R -P -L -Ulastread -v3 -a.\temp.bbs
del .\temp.bbs
cd f:\

iff exist %net%\moremail then
 dvc open c:\dv\im,h
else
 del %net%\tossing
endiff

exit
